xine-lib: xv_driver_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
xv_driver_s Struct Reference

## Data Fields
vo_driver_t | vo_driver
xcb_connection_t * | connection
xcb_screen_t * | screen
xcb_window_t | window
unsigned int | xv_format_yv12
unsigned int | xv_format_yuy2
xcb_gc_t | gc
xcb_xv_port_t | xv_port
int | use_shm
int | use_pitch_alignment
uint32_t | capabilities
xv_property_t | props [XV_NUM_PROPERTIES]
xv_frame_t * | recent_frames [VO_NUM_RECENT_FRAMES]
xv_frame_t * | cur_frame
xcbosd * | xoverlay
int | ovl_changed
vo_scale_t | sc
xine_t * | xine
alphablend_t | alphablend_extra_data
pthread_mutex_t | main_mutex
int | emu_yuy2
uint8_t | cm_lut [32]
int | cm_active
int | cm_state
int | fullrange_mode
Display * | display
int | screen
Drawable | drawable
XVisualInfo | vinfo
GC | gc
XvPortID | xv_port
XColor | black
x11osd * | xoverlay
int(* | x11_old_error_handler )(Display *, XErrorEvent *)
void(* | lock_display )(void *)
void * | ld_user_data
void(* | unlock_display )(void *)
void * | ud_user_data

## Field Documentation

## ◆ alphablend_extra_data

alphablend_t xv_driver_s::alphablend_extra_data

## ◆ black

XColor xv_driver_s::black

## ◆ capabilities

uint32_t xv_driver_s::capabilities

## ◆ cm_active

int xv_driver_s::cm_active

## ◆ cm_lut

uint8_t xv_driver_s::cm_lut

## ◆ cm_state

int xv_driver_s::cm_state

## ◆ connection

xcb_connection_t* xv_driver_s::connection

## ◆ cur_frame

xv_frame_t * xv_driver_s::cur_frame

## ◆ display

Display* xv_driver_s::display

## ◆ drawable

Drawable xv_driver_s::drawable

## ◆ emu_yuy2

int xv_driver_s::emu_yuy2

## ◆ fullrange_mode

int xv_driver_s::fullrange_mode

## ◆ gc [1/2]

xcb_gc_t xv_driver_s::gc

## ◆ gc [2/2]

GC xv_driver_s::gc

## ◆ ld_user_data

void* xv_driver_s::ld_user_data

## ◆ lock_display

void(* xv_driver_s::lock_display) (void *)

## ◆ main_mutex

pthread_mutex_t xv_driver_s::main_mutex

## ◆ ovl_changed

int xv_driver_s::ovl_changed

## ◆ props

xv_property_t xv_driver_s::props

## ◆ recent_frames

xv_frame_t * xv_driver_s::recent_frames

## ◆ sc

vo_scale_t xv_driver_s::sc

## ◆ screen [1/2]

xcb_screen_t* xv_driver_s::screen

## ◆ screen [2/2]

int xv_driver_s::screen

## ◆ ud_user_data

void* xv_driver_s::ud_user_data

## ◆ unlock_display

void(* xv_driver_s::unlock_display) (void *)

## ◆ use_pitch_alignment

int xv_driver_s::use_pitch_alignment

## ◆ use_shm

int xv_driver_s::use_shm

## ◆ vinfo

XVisualInfo xv_driver_s::vinfo

## ◆ vo_driver

vo_driver_t xv_driver_s::vo_driver

## ◆ window

xcb_window_t xv_driver_s::window

## ◆ x11_old_error_handler

int(* xv_driver_s::x11_old_error_handler) (Display *, XErrorEvent *)

## ◆ xine

xine_t * xv_driver_s::xine

## ◆ xoverlay [1/2]

xcbosd* xv_driver_s::xoverlay

## ◆ xoverlay [2/2]

x11osd* xv_driver_s::xoverlay

## ◆ xv_format_yuy2

unsigned int xv_driver_s::xv_format_yuy2

## ◆ xv_format_yv12

unsigned int xv_driver_s::xv_format_yv12

## ◆ xv_port [1/2]

xcb_xv_port_t xv_driver_s::xv_port

## ◆ xv_port [2/2]

XvPortID xv_driver_s::xv_port

The documentation for this struct was generated from the following files:

- xine-lib-1.2.13/src/video_out/video_out_xcbxv.c
- xine-lib-1.2.13/src/video_out/video_out_xv.c